Bug 744380 - [abrt] yum-3.4.3-5.fc16: misc.py:1168:_cElementTree_import:ImportError: No module named cElementTree
[abrt] yum-3.4.3-5.fc16: misc.py:1168:_cElementTree_import:ImportError: No mo...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
16
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Packaging Toolset Team
Fedora Extras Quality Assurance
abrt_hash:d084c3c8d636dca1ded362992bd...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-08 03:08 EDT by Abhishek Tomar
Modified: 2014-01-21 18:19 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 15:45:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Abhishek Tomar 2011-10-08 03:08:33 EDT
libreport version: 2.0.5.982
abrt_version:   2.0.4.981
cmdline:        /usr/bin/python /usr/bin/yum repolist all
comment:        I updated my fedora version 15 to 16 but now I am not able to use Yum.
executable:     /usr/bin/yum
kernel:         2.6.40.6-0.fc15.i686
reason:         misc.py:1168:_cElementTree_import:ImportError: No module named cElementTree
time:           Sat Oct  8 11:47:33 2011
uid:            500
username:       abhishek

backtrace:
:misc.py:1168:_cElementTree_import:ImportError: No module named cElementTree
:
:Traceback (most recent call last):
:  File "/usr/bin/yum", line 29, in <module>
:    yummain.user_main(sys.argv[1:], exit_code=True)
:  File "/usr/share/yum-cli/yummain.py", line 309, in user_main
:    errcode = main(args)
:  File "/usr/share/yum-cli/yummain.py", line 140, in main
:    result, resultmsgs = base.doCommands()
:  File "/usr/share/yum-cli/cli.py", line 462, in doCommands
:    return self.yum_cli_commands[self.basecmd].doCommand(self, self.basecmd, self.extcmds)
:  File "/usr/share/yum-cli/yumcommands.py", line 1658, in doCommand
:    base.repos.populateSack()
:  File "/usr/lib/python2.7/site-packages/yum/repos.py", line 265, in populateSack
:    self.doSetup()
:  File "/usr/lib/python2.7/site-packages/yum/repos.py", line 92, in doSetup
:    self.ayum.plugins.run('postreposetup')
:  File "/usr/lib/python2.7/site-packages/yum/plugins.py", line 184, in run
:    func(conduitcls(self, self.base, conf, **kwargs))
:  File "/usr/lib/yum-plugins/fastestmirror.py", line 197, in postreposetup_hook
:    if downgrade_ftp and _len_non_ftp(repo.urls) == 1:
:  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 707, in <lambda>
:    urls = property(fget=lambda self: self._geturls(),
:  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 704, in _geturls
:    self._baseurlSetup()
:  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 650, in _baseurlSetup
:    mirrorurls.extend(list(self.metalink_data.urls()))
:  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 747, in <lambda>
:    metalink_data = property(fget=lambda self: self._getMetalink(),
:  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 734, in _getMetalink
:    self._metalink = metalink.MetaLinkRepoMD(result)
:  File "/usr/lib/python2.7/site-packages/yum/metalink.py", line 186, in __init__
:    root = xmlparse(filename)
:  File "/usr/lib/python2.7/site-packages/yum/misc.py", line 1178, in cElementTree_xmlparse
:    _cElementTree_import()
:  File "/usr/lib/python2.7/site-packages/yum/misc.py", line 1168, in _cElementTree_import
:    import cElementTree
:ImportError: No module named cElementTree
:
:Local variables in innermost frame:

event_log:
:2011-10-08-11:48:41> Smolt profile successfully saved
:2011-10-08-11:49:09> Empty login or password, please check your configuration
:2011-10-08-11:49:09* (exited with 1)
:2011-10-08-12:38:23> Smolt profile successfully saved

smolt_data:
:
:
:General
:=================================
:UUID: 6519ae95-e3db-4d5b-aeb3-53ecf0added5
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: i686
:BogoMIPS: 5053.50
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i5 CPU       M 460  @ 2.53GHz
:CPU Stepping: 5
:CPU Family: 6
:CPU Model Num: 37
:Number of CPUs: 4
:CPU Speed: 2526
:System Memory: 2701
:System Swap: 1243
:Vendor: Dell Inc.
:System: Vostro 3400 Not Specified
:Form factor: Portable
:Kernel: 2.6.40.6-0.fc15.i686
:SELinux Enabled: 0
:SELinux Policy: targeted
:SELinux Enforce: Unknown
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:11362:32902:32902) pci, None, HOST/PCI, Core Processor QuickPath Architecture Generic Non-core Registers
:(32902:11521:32902:32902) pci, None, HOST/PCI, Core Processor QuickPath Architecture System Address Decoder
:(32902:68:4136:1088) pci, agpgart-intel, HOST/PCI, Core Processor DRAM Controller
:(32902:69:4136:1088) pci, pcieport, PCI/PCI, Core Processor PCI Express x16 Root Port
:(32902:11536:32902:32902) pci, None, HOST/PCI, Core Processor QPI Link 0
:(32902:11537:32902:32902) pci, None, HOST/PCI, Core Processor QPI Physical 0
:(32902:11538:32902:32902) pci, None, HOST/PCI, Core Processor Reserved
:(32902:11539:32902:32902) pci, None, HOST/PCI, Core Processor Reserved
:(32902:15152:4136:1088) pci, i801_smbus, SERIAL, 5 Series/3400 Series Chipset SMBus Controller
:(32902:15151:4136:1088) pci, ahci, STORAGE, 5 Series/3400 Series Chipset 6 port SATA AHCI Controller
:(32902:15115:4136:1088) pci, None, PCI/ISA, Mobile 5 Series Chipset LPC Interface Controller
:(32902:15154:4136:1088) pci, intel ips, NONE, 5 Series/3400 Series Chipset Thermal Subsystem
:(32902:15174:4136:1088) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 3
:(32902:9288:4136:1088) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(5348:18215:4136:16) pci, None, NETWORK, XPS 8300
:(32902:15164:4136:1088) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:15156:4136:1088) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:15204:4136:1088) pci, None, SIMPLE, 5 Series/3400 Series Chipset HECI Controller
:(32902:70:4136:1101) pci, i915, VIDEO, Core Processor Integrated Graphics Controller
:(32902:15170:4136:1088) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 1
:(32902:15172:4136:1088) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 2
:(32902:15178:4136:1088) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 5
:(32902:15190:4136:1088) pci, HDA Intel, MULTIMEDIA, 5 Series/3400 Series Chipset High Definition Audio
:(4318:3043:4136:1101) pci, HDA Intel, MULTIMEDIA, High Definition Audio Controller
:(4318:2677:4136:1101) pci, nouveau, VIDEO, GT218 [GeForce 310M]
:(4332:33128:4136:1088) pci, r8169, ETHERNET, RTL8111/8168B PCI Express Gigabit Ethernet controller
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda1 / ext4 4096 4096 12598961 11478308 11350359 3203072 3035345 3035345
:/dev/sda3 /home ext4 4096 4096 64003455 53677855 50426655 16261120 16049857 16049857
:
Comment 1 Zdeněk Pavlas 2011-10-10 11:17:27 EDT
cElementTree was in package 'python' in F15, but moved to 'python-libs' in F16.  Can you check it's installed?
Comment 2 Fedora Admin XMLRPC Client 2012-04-27 11:24:55 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora End Of Life 2013-01-16 11:46:03 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Fedora End Of Life 2013-02-13 15:45:42 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.